Loading...
Searching...
No Matches
RDKit::HasPropWithValueQueryBase Class Referenceabstract

`#include <QueryOps.h>`

Inheritance diagram for RDKit::HasPropWithValueQueryBase:

## Public Member Functions

| HasPropWithValueQueryBase ()=default
virtual | ~HasPropWithValueQueryBase ()=default
virtual PairHolder | getPair () const =0
virtual double | getTolerance () const =0

## Detailed Description

Definition at line 865 of file QueryOps.h.

## Constructor & Destructor Documentation

## HasPropWithValueQueryBase()

RDKit::HasPropWithValueQueryBase::HasPropWithValueQueryBase | ( |  | ) |

default

## ~HasPropWithValueQueryBase()

virtual RDKit::HasPropWithValueQueryBase::~HasPropWithValueQueryBase | ( |  | ) |

virtual default

## Member Function Documentation

## getPair()

virtual PairHolder RDKit::HasPropWithValueQueryBase::getPair | ( |  | ) | const

pure virtual

Implemented in RDKit::HasPropWithValueQuery< TargetPtr, T >, RDKit::HasPropWithValueQuery< TargetPtr, ExplicitBitVect >, and RDKit::HasPropWithValueQuery< TargetPtr, std::string >.

## getTolerance()

virtual double RDKit::HasPropWithValueQueryBase::getTolerance | ( |  | ) | const

pure virtual

Implemented in RDKit::HasPropWithValueQuery< TargetPtr, T >, RDKit::HasPropWithValueQuery< TargetPtr, ExplicitBitVect >, and RDKit::HasPropWithValueQuery< TargetPtr, std::string >.

The documentation for this class was generated from the following file:

- QueryOps.h